Get Org Ldap Settings

Get Org Ldap Settings
Get all the organization LDAP settings.

Get all organization LDAP settings.

Request
URI
GET
https://{api_host}/cloudapi/v1/orgSettings/ldap
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OrganizationLdapSettings of type(s) application/json;version=9.1.0
{
    "enabled": false,
    "settingsSource": "string",
    "inheritedCustomUsersOu": "string",
    "definedSettings": {
        "hostName": "string",
        "port": 0,
        "ssl": false,
        "pagedSearchDisabled": false,
        "pageSize": 0,
        "maxResults": 0,
        "maxUserGroups": 0,
        "searchBase": "string",
        "userName": "string",
        "password": "string",
        "groupSearchBase": "string",
        "customUiButtonLabel": "string",
        "userAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "userName": "string",
            "email": "string",
            "displayName": "string",
            "givenName": "string",
            "surname": "string",
            "telephone": "string",
            "groupMembershipIdentifier": "string",
            "groupBackLinkIdentifier": "string",
            "domain": "string",
            "managerIdentifier": "string"
        },
        "groupAttributes": {
            "objectClass": "string",
            "objectIdentifier": "string",
            "groupName": "string",
            "membership": "string",
            "membershipIdentifier": "string",
            "backLinkIdentifier": "string"
        }
    }
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/orgSettings/ldap